org.springframework.cloud.dataflow.core

## Class Launcher

- java.lang.Object
- - org.springframework.cloud.dataflow.core.Launcher

-     @KeySpace(value="launcher")
      public class Launcher
      extends Object

  Author:
    Mark Pollack

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Launcher(String name, String type, org.springframework.cloud.deployer.spi.task.TaskLauncher taskLauncher)`
    `Launcher(String name, String type, org.springframework.cloud.deployer.spi.task.TaskLauncher taskLauncher, org.springframework.cloud.deployer.spi.scheduler.Scheduler scheduler)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `String` | `getId()`
    `String` | `getName()`
    `List<ConfigurationMetadataPropertyEntity>` | `getOptions()`
    `org.springframework.cloud.deployer.spi.scheduler.Scheduler` | `getScheduler()`
    `org.springframework.cloud.deployer.spi.task.TaskLauncher` | `getTaskLauncher()`
    `String` | `getType()`
    `void` | `setDescription(String description)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setOptions(List<ConfigurationMetadataPropertyEntity> options)`
    `void` | `setScheduler(org.springframework.cloud.deployer.spi.scheduler.Scheduler scheduler)`
    `void` | `setTaskLauncher(org.springframework.cloud.deployer.spi.task.TaskLauncher taskLauncher)`
    `void` | `setType(String type)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Launcher

          public Launcher(String name,
                          String type,
                          org.springframework.cloud.deployer.spi.task.TaskLauncher taskLauncher)

    - #### Launcher

          public Launcher(String name,
                          String type,
                          org.springframework.cloud.deployer.spi.task.TaskLauncher taskLauncher,
                          org.springframework.cloud.deployer.spi.scheduler.Scheduler scheduler)

  - ### Method Detail

    - #### getScheduler

          public org.springframework.cloud.deployer.spi.scheduler.Scheduler getScheduler()

    - #### setScheduler

          public void setScheduler(org.springframework.cloud.deployer.spi.scheduler.Scheduler scheduler)

    - #### getId

          public String getId()

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getTaskLauncher

          public org.springframework.cloud.deployer.spi.task.TaskLauncher getTaskLauncher()

    - #### setTaskLauncher

          public void setTaskLauncher(org.springframework.cloud.deployer.spi.task.TaskLauncher taskLauncher)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### setId

          public void setId(String id)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getOptions

          public List<ConfigurationMetadataPropertyEntity> getOptions()

    - #### setOptions

          public void setOptions(List<ConfigurationMetadataPropertyEntity> options)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.